/*------------------------------------*\
    #OBJECTS.SECTION
\*------------------------------------*/
/**
 * Section in page body
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

$inuit-section-space-vertical: $inuit-base-space-vertical !default;
$inuit-section-wrapper-max-width: $drk-base-unit-small * 30 !default;

.#{$inuit-namespace}section,
%#{$inuit-namespace}section {
    @include grid-row(24);
    margin-bottom: $inuit-base-space-vertical-small-only;
    position: relative;

    &:last-child {
        margin-bottom: $drk-base-unit;
    }

    @media #{$medium-up} {
        //margin-bottom: 0;
    }
}

.#{$inuit-namespace}section__wrapper,
%#{$inuit-namespace}section__wrapper {
    @include clearfix;

    margin: 0 auto;
    max-width: $inuit-section-wrapper-max-width;
    padding: 0 20px;
}

.#{$inuit-namespace}section__header,
%#{$inuit-namespace}section__header {
    @include grid-column(
        $columns: 24,
        $collapse: true
    );

    float: none;

    @media #{$medium-up} {
        max-width: 100%;
    }
}

.#{$inuit-namespace}section__headline,
%#{$inuit-namespace}section__headline {
    margin-top: 0;
    //margin-bottom: 0;

    &--inverted {
        background: $drk-color-light-red;
        color: $drk-color-white;
        padding: rem-calc(5);
    }

    &--centered {
        @extend %h-text-center !optional;
    }
}

.#{$inuit-namespace}section__footer,
%#{$inuit-namespace}section__footer {
    @include grid-row();
    clear: left;
    ////padding-top: $inuit-base-space-vertical-small-only;

    &::after {
        ////border-bottom: 1px solid $drk-color-light-grey;
        ////content: '';
        ////display: block;
    }

    @media #{$medium-up} {
        @include grid-column(
        $columns: 22,
        $collapse: true
        );

        @include drk-grid-offset(1);

        max-width: 100%;
        ////padding-top: $inuit-base-space-vertical-small-only;
    }
}
